Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.util
Class SimpleProxyManager

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.util.SimpleProxyManager

All Implemented Interfaces:
  ProxyManager

public class SimpleProxyManager
extends java.lang.Object
implements ProxyManager

Simple implementation of the `ProxyManager` interface that delegates to the `Proxies` utility class in this package.

Constructor Summary
`SimpleProxyManager()`

Method Summary
`java.lang.Object` | `getArrayCopy(java.lang.Object orig, java.lang.Object owner, java.lang.String field)` Return a new array of the same component type as the given array and containing the same elements.
`java.util.Collection` | `getCollectionCopy(java.util.Collection orig, java.lang.Object owner, java.lang.String field)` Return a new collection of the same type as the given one with a copy of all contained elements.
`com.solarmetric.rd.kodo.util.ProxyCollection` | `getCollectionProxy(java.lang.Class type, java.lang.Class elementType, java.util.Collection contents, java.util.Comparator compare, java.lang.Object owner, java.lang.String field)` Return a proxy for the given collection type.
`java.util.Date` | `getDateCopy(java.util.Date orig, java.lang.Object owner, java.lang.String field)` Return a copy of the given date with the same information.
`com.solarmetric.rd.kodo.util.ProxyDate` | `getDateProxy(java.util.Date date, java.lang.Object owner, java.lang.String field)` Return a proxy for the given date instance.
`java.util.Map` | `getMapCopy(java.util.Map orig, java.lang.Object owner, java.lang.String field)` Return a new map of the same type as the given one with a copy of all contained key/value pairs.
`com.solarmetric.rd.kodo.util.ProxyMap` | `getMapProxy(java.lang.Class type, java.lang.Class keyType, java.lang.Class valueType, java.util.Map contents, java.util.Comparator compare, java.lang.Object owner, java.lang.String field)` Return a proxy for the given map type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleProxyManager

    public SimpleProxyManager()

Method Detail

### getDateCopy

    public java.util.Date getDateCopy(java.util.Date orig,
                                      java.lang.Object owner,
                                      java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a copy of the given date with the same information. If the given date is proxied, the returned instance will be the correct non-proxied type.

  Specified by:
    `getDateCopy` in interface `ProxyManager`

### getCollectionCopy

    public java.util.Collection getCollectionCopy(java.util.Collection orig,
                                                  java.lang.Object owner,
                                                  java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a new collection of the same type as the given one with a copy of all contained elements. If the given type is a proxy type, the returned instance will be of the correct non-proxied type.

  Specified by:
    `getCollectionCopy` in interface `ProxyManager`

### getMapCopy

    public java.util.Map getMapCopy(java.util.Map orig,
                                    java.lang.Object owner,
                                    java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a new map of the same type as the given one with a copy of all contained key/value pairs. If the given type is a proxy type, the returned instance will be of the correct non-proxied type.

  Specified by:
    `getMapCopy` in interface `ProxyManager`

### getArrayCopy

    public java.lang.Object getArrayCopy(java.lang.Object orig,
                                         java.lang.Object owner,
                                         java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a new array of the same component type as the given array and containing the same elements. Works for both primitive and object array types.

  Specified by:
    `getArrayCopy` in interface `ProxyManager`

### getDateProxy

    public com.solarmetric.rd.kodo.util.ProxyDate getDateProxy(java.util.Date date,
                                                               java.lang.Object owner,
                                                               java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a proxy for the given date instance. The owner of the proxy should be set to the given object and field.

  Specified by:
    `getDateProxy` in interface `ProxyManager`

### getCollectionProxy

    public com.solarmetric.rd.kodo.util.ProxyCollection getCollectionProxy(java.lang.Class type,
                                                                           java.lang.Class elementType,
                                                                           java.util.Collection contents,
                                                                           java.util.Comparator compare,
                                                                           java.lang.Object owner,
                                                                           java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a proxy for the given collection type. The returned collection will allow only addition of elements assignable from the given element type, and can be configured to not allow the addition of null elements. The owner of the proxy should be set to the given object and field.

  Specified by:
    `getCollectionProxy` in interface `ProxyManager`

### getMapProxy

    public com.solarmetric.rd.kodo.util.ProxyMap getMapProxy(java.lang.Class type,
                                                             java.lang.Class keyType,
                                                             java.lang.Class valueType,
                                                             java.util.Map contents,
                                                             java.util.Comparator compare,
                                                             java.lang.Object owner,
                                                             java.lang.String field)

  Description copied from interface: `ProxyManager`
  Return a proxy for the given map type. The returned map will allow only addition of keys/values assignable from the given keyType/valueType, and can be configured to not allow the addition of null keys/elements. The owner of the proxy should be set to the given object and field.

  Specified by:
    `getMapProxy` in interface `ProxyManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.